var Ajv = require('ajv');
var ajv = new Ajv();

var schema = {
  "properties": {
    "foo": { "type": "string" },
    "bar": { "type": "number", "maximum": 3 }
  },
  "required": [ "foo" ]
};

console.log(ajv.validate(schema, { "foo": "hi", "bar": 2 })); // true
console.log(ajv.validate(schema, { "foo": 2, "bar": 4 })); // false
console.log(ajv.validate(schema, { "foo": "hi" })); // true
console.log(ajv.validate(schema, { "bar": 2 })); // false;
